---
name: Bug Report
about: Create a report to help us improve
title: "[Bug]"
labels: bug
assignees: abdalmoniem

---

## Bug Report

### Description
Briefly describe the bug. What did you expect to happen, and what actually happened?

### Steps to Reproduce
Provide steps to reproduce the issue, including any specific settings or configurations.

1. Launch the app
2. Navigate to '...'
3. Tap on '...'
4. Observe the issue

### Expected Behavior
Describe what you expected to happen when following the steps above.

### Actual Behavior
Describe what actually happened. Include any error messages, logs, or screenshots if possible.

### Screenshots or Videos
If applicable, add screenshots or a video to help illustrate the problem.

### Environment Details
Provide details about the environment where this issue occurred.

- **App Version:** (e.g., 1.2.0)
- **Android Version:** (e.g., Android 11)
- **Device Model:** (e.g., Pixel 5, Samsung Galaxy S21)
- **Rooted or Non-Rooted:** (e.g., Non-Rooted)
- **Screen Orientation:** (e.g., Portrait, Landscape)

### Log Output
If available, include any relevant log output. Use `adb logcat` to capture logs, if possible.
Or use [LogFox](https://apt.izzysoft.de/fdroid/index/apk/com.f0x1d.logfox) to capture logs from the device.

```plaintext
Paste logs here
```
